Considerater = LibStub("AceAddon-3.0"):NewAddon("Considerater", "AceConsole-3.0")

local options = {
  name = "Considerater",
  handler = Considerater,
  type = 'group',
  args = {
    msg = {
      type = "input",
      name = "Message",
      desc = "Some message",
      usage = "<message>",
      get = "GetMessage",
      set = "SetMessage",
    },
  },
}


local defaults = {
  profile = {
    message = "test",
  },
}

function Considerater:OnInitialize()
  self.db = LibStub("AceDB-3.0"):New("ConsideraterDB", defaults, "Default")
  LibStub("AceConfig-3.0"):RegisterOptionsTable("Considerater", options)
  self:RegisterChatCommand("consider", "ChatCommand")
  self.optionsFrame = LibStub("AceConfigDialog-3.0"):AddToBlizOptions("Considerater", "Considerater")
end

function Considerater:ChatCommand(input)
  if not input or input:trim() == "" then
    InterfaceOptionsFrame_OpenToCategory(self.optionsFrame)
  else
    LibStub("AceConfigCmd-3.0").HandleCommand(Considerater, "consider", "Considerater", input)
  end
end

function Considerater:GetMessage(info)
  return self.db.profile.message
end

function Considerater:SetMessage(info, newValue)
  self.db.profile.message = newValue
end

function Considerater:OnEnable()
end

function Considerater:OnDisable()

end
